Loading...
Searching...
No Matches
libcamera::IPCUnixSocket::Payload Struct Reference

Container for an IPC payload. More...

## Public Attributes

std::vector< uint8_t > | data
| Array of bytes to cross IPC boundary.
std::vector< int32_t > | fds
| Array of file descriptors to cross IPC boundary.

## Detailed Description

Container for an IPC payload.

Holds an array of bytes and an array of file descriptors that can be transported across a IPC boundary.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/ipc_unixsocket.h
- src/libcamera/ipc_unixsocket.cpp